Subject: Re: [PATCH] wt-status: show author info if status.showauthor is set

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 4 Apr 2007 02:55:05 -0400

"Michael S. Tsirkin" <[email-masked]> wrote:
> > Quoting Jeff King <[email-masked]>:
> > On Wed, Apr 04, 2007 at 09:02:13AM +0300, Michael S. Tsirkin wrote:
> > 
> > > - Maybe put Author: (or From:? and maybe Subject:?) line in the pre-formatted
> > >   commit message, and let the user edit them?
> > 
> > Personally I think it's just clutter, but hey, it's off by default. Of
> > course what is the chance that you've turned on status.showauthor in
> > your ~/.gitconfig, but you don't have your identity set up properly? :)
> 
> The point is that *someone else* can have showauthor set up in .gitconfig,
> and then he'll be able to use git commit --amend to fix up
> the identity without using --author explicitly.

Hmm.  Actually I'd like to be able to set (or change) the author
using a From: line, much like email headers.  Especially in the case
of git-commit --amend, as sometimes I make a new commit as myself,
then realize *after* I've quit the editor that the patch really
came from someone else, and I should record the right author.

And no, the patch wasn't really a patch.  It was a set of files
from the user that I manually copy in, then commit.  Though I have
to wonder why I keep doing that as said user also does use the same
Git repository as me...  and edits and commits other files on their
own just fine...  ;-)

-- 
Shawn.